import { CSSProperties, SVGProps, JSXElementConstructor } from "react";
declare type IconSetItem = {
    properties: {
        name: string;
    };
    icon: {
        paths: string[];
        attrs?: Object[];
        width?: number | string;
    };
};
declare type IconSet = {
    icons: IconSetItem[];
};
export interface IconProps extends SVGProps<SVGElement> {
    icon: string;
    size?: string | number;
    title?: string;
    disableFill?: boolean;
    removeInlineStyle?: boolean;
    native?: boolean;
    SvgComponent?: JSXElementConstructor<any>;
    PathComponent?: JSXElementConstructor<any>;
    style?: CSSProperties;
}
export interface IcoMoonProps extends IconProps {
    iconSet: IconSet;
}
declare const IcoMoon: ({ iconSet, icon, size, title, disableFill, removeInlineStyle, native, SvgComponent, PathComponent, ...props }: IcoMoonProps) => any;
export declare const iconList: (iconSet: IconSet) => string[];
export default IcoMoon;
